# Pool

### **Single Deposit Pool Reward**

Single Deposit Pool liquidity providers who deposit tokens corresponding to each pool will receive iTunes as proof of their stake in liquidity. Once a user withdraws the deposited asset, iToken will be returned and the users will receive a token with the accumulated deposit interest according to iToken exchange rate at that time. iToken holders not only receive deposit interest but also KSP rewards.

* KSP reward: For liquidity providers, a certain amount of KSP inflation will be rewarded during the liquidity deposited period.
* Deposit interest reward: The deposited Single Pool assets are utilized as the leverage resources for Plus Depoist Pool. And the expenses paid by the Plus Pool users will be distributed back to Single Pool depositors. And the distributed revenue will be automatically included in users' deposited assets.

### KSP Reward APR & APY

* iToken holders can estimate the KSP annual reward rate of 1 iToken as follows
* APR changes in real-time according to the iToken price and KSP price.

$$
APR=SPDailyKSP allocation amount
∗KSP Price/ Total SP Scale ∗365∗100
$$

* **SP Provider  KSP reward APY = ((1+ APR / 365) ^ 365 -1) \* 100**
* Daily KSP allocation= 86400
* &#x20;SP DailyKSP allocation amount  = (Daily KSP allocation) \* SP KSP distribution rate(5%) \* SP distribution ratio
* **Example**\
  **-** How to calculate APR for KLAY SP\
  \- Total LP volume = 40,000,000 $\
  \- DailyKSP = 1728 = 86400 (daily distribution KSP) \* 0.05 (SP KSP distribution rate) \* 0.4 (KLAY SP distribution rate)\
  \- 1KSP = 29.20$\
  \- APR = 1728 \* 29.2 / 40000000 \* 365 \* 100 = 46.04%

### APR of SP Provider Depsoit interest rate&#x20;

$$
APR=borrowingRate∗Utilization\*(1−reserveFactor)
$$

### &#x20;**Pool activation ratio**

$$
Utilization=TotalBorrow/TotalDeposit
$$

### **Asset utilization ratio**

$$
BorrowingRate=BorrowingRateModel(Utilization)
$$

### Borrowing Rate Model

<table data-header-hidden><thead><tr><th width="150"></th><th width="150"></th><th></th></tr></thead><tbody><tr><td>Utilization Range</td><td>Borrowing Rate Range</td><td>Logic</td></tr><tr><td>0% ~ 60%</td><td>0% ~ 20%</td><td>Borrowing Rate = Utilization / 3 </td></tr><tr><td>60% ~ 90%</td><td>20%</td><td>Borrowing Rate = 0.2 </td></tr><tr><td>90% ~ 100%</td><td>20% ~ 100%</td><td>Borrowing Rate = Utilization * 8 - 7 </td></tr></tbody></table>

### General Pair Pool Reward

Liquidity providers will receive LP Token (Liquidity Pool Token) as proof of their stake in liquidity. Once a user withdraws the deposited assets, LP Token will be returned and a user will receive the corresponding assets such as KSP, transaction fees, and Airdrop rewards.

* KSP Reward: For a liquidity provider in KSP Reward Pool, a certain amount of daily KSP mining will be rewarded during the liquidity supply period.
* Transaction fee reward: For a liquidity provider in any pools other than KSP Reward Pool, the transaction fee will be rewarded according to a provider’s LP stake in 50% of the transaction fee.
* Airdrop reward: For a liquidity provider in Airdrop Reward Pool, airdrop tokens will be rewarded during the liquidity supply period.

### LP Provider KSP reward APR & APY

* LP token holders can estimate the KSP annual reward rate of 1LP as follows:
* APR fluctuates in real-time according to LP price and KSP price.

$$
APR=LPDailyKSP Distribution amount∗KSP Price/Total LP Scale∗365∗100
$$

* LP Provider KSP Reward APY = ((1+ APR / 365) ^ 365 -1) \* 100
* Daily KSP allocation = 86400
* &#x20;LP Daily KSP distributin amount = (daily KSP allocation) \* LP provider KSP distribution rate \* voting rate
* **example**\
  **-** How to calculate APR for KLAY/KUSDT Pair LP as of August 24, 2021 - Total LP = 45,589,138 $ \
  \- DailKSP = 4427 = 86400 (Daily Distribution KSP) \* 0.6 (LP Provider KSP Distribution) \* 0.0854 (Voting rate) \
  \- 1KSP = 29.20$ \
  \- APR = 4427 \* 29.2 / 45589138 \* 365 \* 100 = 103.5%

### LP Provider Transaction Fee reward APR

$$
APR=TradeFee(24H)∗0.5/Total LP size∗365∗100
$$

* example \
  \- How to calcuale APR for KLAY/KUSDT Pair LP as of August 24, 2021 - Total LP = 45,589,138 $ \
  \- TradeFee(24H) = 33,677 $ \
  \- APR = 33677 \* 0.5 / 45589138 \* 365 \* 100 = 13.5%

### LP Provider Airdrop Rewards

$$
APR=DailyAirdropToken∗TokenPrice/Total LP-size∗365∗100
$$

* How to check DailyAirdropToken of a specific LP \
  \- You can check the distribution contract address registered in the LP by using the distributionEntries function of the Treasury Contract (Multiple Distribution Contracts can be registered in one LP.)\
  \
  \- You can check DailyAirdropToken with the searched address using the blockAmount and token functions of Distribution Contracts. (You can check the status of early closure or end through the functions of distributedAmount, estimateEndBlock, and totalAmount.)
* example \
  \- Process of obtaining APR of arbitrary token X and LPX \
  \- Total LPX size = 45,500,000 $ \
  \- Token X price = 2$ \
  \- Number of tokens distributed per block = 2 \
  \- DailyAirdropToken = 10 \* 86400 = 864000 \
  \- APR = 2 \* 86400 \* 2 / 45500000 \* 365 \* 100 = 277%

### Plus Pair Pool Rewards&#x20;

As Plus Pair Deposit Pool utilizes assets from Single Deposit Pool once liquidity is supplied, Plus Pari Pool users pay for asset utilization fee.

* General Pair Deposit Pool APR *Plus multiple - Utilized asset cost*(Plus multiple -1)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.klayswap.com/product/apr-and-apy/pool.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
